Page MenuHomePhabricator

[mlir][spirv] Use SingleBlock + NoTerminator for spv.module
ClosedPublic

Authored by antiagainst on May 27 2021, 9:38 AM.

Details

Summary

This allows us to remove the spv.mlir.endmodule op and
all the code associated with it.

Along the way, tightened the APIs for spv.module a bit
by removing some aliases. Now we use getRegion to get
the only region, and getBody to get the region's only
block.

Depends On D103264

Diff Detail

Event Timeline

antiagainst created this revision.May 27 2021, 9:38 AM
antiagainst requested review of this revision.May 27 2021, 9:38 AM
mravishankar accepted this revision.Jun 1 2021, 10:27 AM
This revision is now accepted and ready to land.Jun 1 2021, 10:27 AM
hanchung accepted this revision.Jun 3 2021, 3:48 PM
This revision was landed with ongoing or failed builds.Jun 9 2021, 11:04 AM
This revision was automatically updated to reflect the committed changes.